Bug 21003 - DispatchOperation: assumes that HandleWith will succeed
Summary: DispatchOperation: assumes that HandleWith will succeed
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: mission-control (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Simon McVittie
QA Contact: Telepathy bugs list
URL: http://git.collabora.co.uk/?p=user/sm...
Whiteboard:
Keywords: patch
Depends on: 23651
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 11:33 UTC by Simon McVittie
Modified: 2009-11-02 10:39 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2009-04-01 11:33:10 UTC
HandleWith is meant to wait for HandleChannels to succeed, and only return successfully if HandleChannels does. Instead, in MC 5 the channel dispatch operation finishes immediately.
Comment 1 Simon McVittie 2009-10-28 15:10:31 UTC
My wait-for-handlers branch requires prefer-preferred-handler. Another one on the chain...
Comment 2 Simon McVittie 2009-11-02 10:39:16 UTC
Fixed in git


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.